package com.dgtly.sync.exception;

import com.dgtly.common.exception.base.BaseException;
import com.dgtly.sync.domain.MetaEmployeeDiy;

public class NotOrgNameException extends BaseException {

    /**
     * 用户信息
     */
    private MetaEmployeeDiy metaEmployeeDiy;


    /**
     * 错误信息
     */
    private String msg;

    public NotOrgNameException(MetaEmployeeDiy metaEmployeeDiy){
        super("sync","500",
                new Object[] { "用户:"+metaEmployeeDiy.getName(),
                "packageId:"+metaEmployeeDiy.getPackageId()},null);
        String str = "用户："+metaEmployeeDiy.getName()+"在packageId:"+metaEmployeeDiy.getPackageId()+"次解析中，未能找到所属组织结构";
        this.msg = str;
        this.metaEmployeeDiy = metaEmployeeDiy;

    }

    @Override
    public String getMessage(){
        return this.msg;
    }


    public MetaEmployeeDiy getMetaNipponOrgRelation() {
        return metaEmployeeDiy;
    }
}
